PathCapturingJSONWriterWrapper (Grails 6.0.0)

Package: org.grails.web.json

## [Java] Class PathCapturingJSONWriterWrapper

- org.grails.web.json.PathCapturingJSONWriterWrapper

-     public class PathCapturingJSONWriterWrapper
      extends JSONWriter

  TODO Proof of concept Should capture the JSON Path to the current element

  Authors:
    Siegfried Puchbauer

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private class` | `PathCapturingJSONWriterWrapper.IndexElement` |
    `private class` | `PathCapturingJSONWriterWrapper.PathElement` |
    `private class` | `PathCapturingJSONWriterWrapper.PropertyElement` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `debugCurrentStack` |
    `private JSONWriter` | `delegate` |
    `private org.apache.commons.logging.Log` | `log` |
    `private java.util.Stack<PathElement>` | `pathStack` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JSONWriter` | `comma, mode, nullWritable, stack, writer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PathCapturingJSONWriterWrapper (JSONWriter delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public JSONWriter` | `append(java.lang.String s)`
    `` | `public JSONWriter` | `array()`
    `` | `public void` | `comma()`
    `` | `public JSONWriter` | `end(Mode m, char c)`
    `` | `public JSONWriter` | `endArray()`
    `` | `public JSONWriter` | `endObject()`
    `` | `public java.lang.String` | `getCurrentStrackReference()`
    `` | `public java.lang.String` | `getStackReference(int depth)`
    `` | `public JSONWriter` | `key(java.lang.String s)`
    `` | `private int` | `nextIndex()`
    `` | `public JSONWriter` | `object()`
    `` | `public void` | `pop(Mode c)`
    `` | `public void` | `push(Mode c)`
    `` | `private void` | `pushNextIndex()`
    `` | `public JSONWriter` | `value(boolean b)`
    `` | `public JSONWriter` | `value(double d)`
    `` | `public JSONWriter` | `value(long l)`
    `` | `public JSONWriter` | `value(java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JSONWriter` | `append, append, array, comma, end, endArray, endObject, key, object, pop, push, value, value, value, value, value, valueNull`

- - ### Field Detail

    - #### private final boolean debugCurrentStack

    - #### private JSONWriter delegate

    - #### private final org.apache.commons.logging.Log log

    - #### private java.util.Stack<PathElement> pathStack

  - ### Constructor Detail

    - #### public PathCapturingJSONWriterWrapper(JSONWriter delegate)

  - ### Method Detail

    - #### @java.lang.Override public JSONWriter append(java.lang.String s)

    - #### @java.lang.Override public JSONWriter array()

    - #### @java.lang.Override public void comma()

    - #### @java.lang.Override public JSONWriter end(Mode m, char c)

    - #### @java.lang.Override public JSONWriter endArray()

    - #### @java.lang.Override public JSONWriter endObject()

    - #### public java.lang.String getCurrentStrackReference()

    - #### public java.lang.String getStackReference(int depth)

    - #### @java.lang.Override public JSONWriter key(java.lang.String s)

    - #### private int nextIndex()

    - #### @java.lang.Override public JSONWriter object()

    - #### @java.lang.Override public void pop(Mode c)

    - #### @java.lang.Override public void push(Mode c)

    - #### private void pushNextIndex()

    - #### @java.lang.Override public JSONWriter value(boolean b)

    - #### @java.lang.Override public JSONWriter value(double d)

    - #### @java.lang.Override public JSONWriter value(long l)

    - #### @java.lang.Override public JSONWriter value(java.lang.Object o)